%define anolis_release 1

Name:		pciutils
Version:	3.9.0
Release:	%{anolis_release}%{?dist}
Summary:	PCI bus related utilities
License:	GPLv2+
URL:		https://mj.ucw.cz/sw/pciutils/

Source:		https://www.kernel.org/pub/software/utils/pciutils/%{name}-%{version}.tar.xz

Patch1:		pciutils-2.2.1-idpath.patch
Patch2:		pciutils-dir-d.patch

Requires:	hwdata
Requires:	%{name}-libs = %{version}-%{release}
BuildRequires:	gcc make sed kmod-devel
Provides:	/sbin/lspci /sbin/setpci

%description
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Linux PCI development library
Requires: zlib-devel pkgconfig %{name} = %{version}-%{release}

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%package libs
Summary: Linux PCI library

%description libs
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%package devel-static
Summary: Linux PCI static library
Requires: %{name}-devel = %{version}-%{release}

%description devel-static
This package contains a static library for inspecting and setting
devices connected to the PCI bus.

%prep
%autosetup -p1

%build
make SHARED="no" ZLIB="no" LIBKMOD=yes STRIP="" OPT="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" PREFIX="/usr" LIBDIR="%{_libdir}" IDSDIR="/usr/share/hwdata" PCI_IDS="pci.ids" %{?_smp_mflags}
mv lib/libpci.a lib/libpci.a.toinstall

make clean

make SHARED="yes" ZLIB="no" LIBKMOD=yes STRIP="" OPT="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" PREFIX="/usr" LIBDIR="/%{_libdir}" IDSDIR="/usr/share/hwdata" PCI_IDS="pci.ids" %{?_smp_mflags}

%install
install -d $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man{7,8},%{_libdir},%{_libdir}/pkgconfig,%{_includedir}/pci}

install -p lspci setpci update-pciids $RPM_BUILD_ROOT%{_sbindir}
install -p -m 644 lspci.8 setpci.8 update-pciids.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 644 pcilib.7 $RPM_BUILD_ROOT%{_mandir}/man7
install -p lib/libpci.so.* $RPM_BUILD_ROOT%{_libdir}/
ln -s $(basename $RPM_BUILD_ROOT%{_libdir}/*.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpci.so

mv lib/libpci.a.toinstall lib/libpci.a
install -p -m 644 lib/libpci.a $RPM_BUILD_ROOT%{_libdir}
install -p -m 644 lib/pci.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m 644 lib/header.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m 644 lib/config.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m 644 lib/types.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m 644 lib/libpci.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%ldconfig_scriptlets libs

%generate_compatibility_deps

%files
%{_sbindir}/lspci
%{_sbindir}/setpci
%{_sbindir}/update-pciids
%{_mandir}/man8/*

%files doc
%doc README ChangeLog pciutils.lsm

%files libs
%dir %{abidir}
%license COPYING
%{_libdir}/libpci.so.*
%{abidir}/libpci*.dump

%files devel-static
%{_libdir}/libpci.a

%files devel
%{_libdir}/pkgconfig/libpci.pc
%{_libdir}/libpci.so
%{_includedir}/pci
%{_mandir}/man7/*

%changelog
* Mon Dec 12 2022 Shawn Wang <shawnwang@linux.alibaba.com> - 3.9.0-1
- updated to 3.9.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.8.0-2
- optimise spec file

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.8.0-1
- update to 3.8.0

* Thu Mar 17 2022 liuzhilin <liuzhilin@uniontech.com> - 3.7.0-2
- Rename config.lib64.h to config.h

* Wed Mar 09 2022 liuzhilin <liuzhilin@uniontech.com> - 3.7.0-1
- Init for anolisOS 23
